<?php
/**
 *
 * Description
 *
 * @package    VirtueMart
 * @subpackage Config
 * @author RickG
 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_pricing.php 8508 2014-10-22 18:57:14Z Milbo $
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$app = JFactory::getApplication();
$mytemplate = $app->getTemplate(true);
$params = $mytemplate->params;
?>
<table>
	<tr>
		<td valign="top">
			<fieldset>
				<legend><?php echo vmText::_('COM_VIRTUEMART_ADMIN_CFG_HIDDEN'); ?></legend>
				<table class="admintable">
					<?php
					echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_IMG_QUALITY','img_quality',VmConfig::get('img_quality',89));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_REUSEORDERS','reuseorders',VmConfig::get('reuseorders',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_FULL_CATNAME_TREE','full_catname_tree',VmConfig::get('full_catname_tree',0));
					echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_VM_NUM_RATINGS_SHOW','vm_num_ratings_show',VmConfig::get('vm_num_ratings_show',24));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_INVOICENAMEINSHOPLANG','invoiceNameInShopLang',VmConfig::get('invoiceNameInShopLang',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_DEBUG_MAIL','debug_mail',VmConfig::get('debug_mail',0));
					?>
				</table>
			</fieldset>
		</td>
		<?php
		if ($params->get('admin_level') == 'vmadvanced') { ?>
		<td valign="top">
			<fieldset>
				<legend><?php echo vmText::_('COM_VIRTUEMART_ADMIN_CFG_HIDDEN_ADVANCED'); ?></legend>
				<table class="admintable">
					<?php
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_DBLAYOUTSTRICT','dblayoutstrict',VmConfig::get('dblayoutstrict',1));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_DBPSDESCSIZE','dbpsdescsize',VmConfig::get('dbpsdescsize',2000));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_DBPDESCSIZE','dbpdescsize',VmConfig::get('dbpdescsize',18400));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_DBNAMESIZE','dbnamesize',VmConfig::get('dbnamesize',180));
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_UPDELCOLS','updelcols',VmConfig::get('updelcols',0));
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_UPDENGINE','updEngine',VmConfig::get('updEngine',1));
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_PRODONLYWLANG','prodOnlyWLang',VmConfig::get('prodOnlyWLang',0));
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_ROUNDINDIG','roundindig',VmConfig::get('roundindig',1));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_VM_LFBS','vm_lfbs',VmConfig::get('vm_lfbs',''));
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_SEO_FULL','seo_full',VmConfig::get('seo_full',1));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_KEYSIZE','keysize',VmConfig::get('keysize',24));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_MASKIP','maskIP',VmConfig::get('maskIP','last'));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_RANDORDERNR','randOrderNr',VmConfig::get('randOrderNr',4));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_RANDORDERPW','randOrderPw',VmConfig::get('randOrderPw',8));
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_PRICESBYCURRENCY','pricesbyCurrency',VmConfig::get('pricesbyCurrency',0));
						echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_MAX_RECENT_PRODUCTS','max_recent_products',VmConfig::get('max_recent_products',10));
						echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_HIDDEN_DEEP_CAT','deep_cat',VmConfig::get('deep_cat',0));
					?>
				</table>
			</fieldset>
		</td>
		<?php } ?>
	</tr>
</table>